Page MenuHomeFreeBSD

emulators/mupen64plus-qt: Basic launcher for Mupen64Plus
ClosedPublic

Authored by ultima on Jun 14 2017, 9:36 PM.
Tags
None
Referenced Files
Unknown Object (File)
Wed, Jul 10, 10:37 AM
Unknown Object (File)
Tue, Jul 9, 8:48 PM
Unknown Object (File)
Mon, Jul 8, 9:23 PM
Unknown Object (File)
Sat, Jul 6, 1:47 PM
Unknown Object (File)
May 31 2024, 8:09 PM
Unknown Object (File)
May 28 2024, 7:31 PM
Unknown Object (File)
May 12 2024, 5:39 PM
Unknown Object (File)
May 8 2024, 8:59 PM
Subscribers

Details

Summary

Mupen64Plus-Qt is a basic launcher for the mupen64plus-ui-console frontend. It
was adapted from CEN64-Qt to work with Mupen64Plus.

See the README at https://www.github.com/dh4/mupen64plus-qt for a detailed
description of its features and usage.

WWW: https://www.github.com/dh4/mupen64plus-qt

PR\: 203642
Sumitted by\: Dan <dan465@mail.com> (maintainer)
Reviewed by\: lifanov (mentor), matthew (mentor)
Approved by\: lifanov (mentor), matthew (mentor)
Differential Revision\: https://reviews.freebsd.org/DXXXXX

Test Plan

portlint:
looks fine.

poudriere:
103i386
103amd64
110i386
110amd64
12i386
12amd64

exp-run:
I have started the program on 12amd64 and appears to be working as intended.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

emulators/mupen64plus-qt/Makefile
13 ↗(On Diff #29620)

This is:

​RUN_DEPENDS= mupen64plus:emulators/mupen64plus
15–18 ↗(On Diff #29620)
21 ↗(On Diff #29620)

If using PORTDOCS, you must also add a:

OPTIONS_DEFINE=DOCS
34–35 ↗(On Diff #29620)

You can then put this in a do-install-DOCS-on target.

Thanks for pointing these out. I should not have missed all those...

This is a new port, so remember to use the addport script to add it. Note: you can add

Differential Revision: https://reviews.freebsd.org/D11198

to the commit message addport provides you with -- that will automatically close the review.

In any case:

lgtm

This revision is now accepted and ready to land.Jun 15 2017, 8:11 PM
This revision was automatically updated to reflect the committed changes.
head/emulators/mupen64plus-qt/Makefile
29

This is not needed, the DOCS, EXAMPLES and NLS options are always on by default.